> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Deletes an Optional Field from a BookingDetail Object

> ## Deletes an Optional Field from a BookingDetail Object ##

<p>
Deletes an Optional Field from a BookingDetail Object.  Any existing bookings made when this optional field was in use
will continue to hold data for this field.  However, following a successful delete, the optional field will
not be available for future bookings.
</p>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json delete /{supplierapi}/bookingdetail/{bookingDetailId}/{optionalFieldId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/bookingdetail/{bookingDetailId}/{optionalFieldId}:
    delete:
      tags:
        - Version 1
        - Booking Details
      summary: Deletes an Optional Field from a BookingDetail Object
      description: >-
        ## Deletes an Optional Field from a BookingDetail Object ##


        <p>

        Deletes an Optional Field from a BookingDetail Object.  Any existing
        bookings made when this optional field was in use

        will continue to hold data for this field.  However, following a
        successful delete, the optional field will

        not be available for future bookings.

        </p>
      operationId: deleteOptionalFieldFromBookingDetailsAction
      parameters:
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
        - name: bookingDetailId
          in: path
          required: true
          schema:
            type: string
        - name: optionalFieldId
          in: path
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when no matching record found.
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.